// ADT7410使用温度センサモジュール用ライブラリ ヘッダファイル

#ifndef ADT7410_H
#define ADT7410_H
#include "arduino.h"

class ADT7410
{
  public: //publicでは外部からアクセスする必要があるものを定義
    ADT7410(); //コンストラクタ
    void initADT7410(int adrs); // 温度センサモジュールADT7410を初期化する関数(16bitモード）
    float gettmp(int adrs); // 温度センサモジュールADT7410の温度測定値を取得する関数(16bitモード)
    
  private: // pribateでは外部からはアクセスする必要がないメソッドや変数を定義
};

#endif
