// I2C LCD用ライブラリ ヘッダファイル

#ifndef myLCD_H
#define myLCD_H
#include "arduino.h"

class myLCD
{
  public: //publicでは外部からアクセスする必要があるものを定義
    myLCD(); //コンストラクタ
    void writeCmd(byte cmd); // LCDコマンド送信
    void writeData(char data); // LCDデータ送信
    void initLcd(void); // LCD初期化
    void string(char *str); // 文字列の表示
    void clear(void); // 画面のクリア
    void setCursor(byte col, byte row); // カーソル移動 col:左から何文字目か row:1行目か2行目か

  private: // pribateでは外部からはアクセスする必要がないメソッドや変数を定義
    int LCDadrs = 0x50; // LCDのスレーブアドレス
};

#endif
